﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPASmartClient.Model.乐白机器人
{

    /// <summary>
    ///  获取机器人输入DI状态
    /// </summary>
    public class LebaiRobot_GetInputEvent : BaseEvent
    {
        public int Pin { get; set; } = 0;
    }
    /// <summary>
    /// /// <summary>
    ///  获取机器人输入TCPDI状态
    /// </summary>
    /// </summary>
    public class LebaiRobot_GetTCPInputEvent : BaseEvent
    {
        public int Pin { get; set; } = 1;
    }
    /// <summary>
    /// 输入机器人信号
    /// </summary>
    public class LebaiRobot_SetValueEvent : BaseEvent
    {
        public int RobotSetValue { get; set; }
    }
    /// <summary>
    /// 机器人控制
    /// </summary>
    public class LebaiRobot_LebaiControlEvent : BaseEvent
    {
        public string LebaiControl { get; set; }
    }
    /// <summary>
    /// 选择乐白机器人场景
    /// </summary>
    public class LebaiRobot_LebaiSenceEvent : BaseEvent
    {
        public int LebaiSence { get; set; }

    }
}
