﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPASmartClient.IoT.Model
{
    /// <summary>
    /// 维保
    /// </summary>
    public class MaintainTable : BaseEntity
    {
        /// <summary>
        /// 维修时间
        /// </summary>
        public string MaintainTime { get; set; }
        /// <summary>
        /// 维修类型：1 轻微 2：一般 3 严重
        /// </summary>
        public string MaintainType { get; set; }
        /// <summary>
        /// 维修消息
        /// </summary>
        public string MaintainMessage { get; set; }
        /// <summary>
        /// 维修值
        /// </summary>
        public string MaintainVla { get; set; }
        /// <summary>
        /// IP 地址
        /// </summary>
        public string IP { get; set; }
        /// <summary>
        /// 状态描述
        /// </summary>
        public string StatusMS { get; set; }
        /// <summary>
        /// 状态颜色
        /// </summary>
        public object StatusColor { get; set; }
    }
}
