﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPASmartClient.Model
{
    public class DeviceConfigModel
    {
        public List<DeviceConfig> Devices { get; set; } = new List<DeviceConfig>();
    }

    public class DeviceConfig
    {
        public string Name { get; set; }
        public string Module { get; set; }
        public int DeviceId { get; set; }
        public Dictionary<string, string> Parameters { get; set; } = new Dictionary<string, string>();

        public List<Peripheral> Peripherals { get; set; } = new List<Peripheral>();
    }

    public class Peripheral
    {
        public string Module { get; set; }
        public Dictionary<string, string> Parameters { get; set; } = new Dictionary<string, string>();
    }
}
